// MPSReaderDlg.h : header file
//

#if !defined(AFX_MPSREADERDLG_H__B094749D_8C33_486B_8801_4F488A3BF7DB__INCLUDED_)
#define AFX_MPSREADERDLG_H__B094749D_8C33_486B_8801_4F488A3BF7DB__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CMPSReaderDlg dialog
class CMPSReaderDlg : public CDialog
{
// Construction
public:
	CMPSReaderDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CMPSReaderDlg)
	enum { IDD = IDD_MPSREADER_DIALOG };
		// NOTE: the ClassWizard will add data members here
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CMPSReaderDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;
	_LPModel *pMPSReader; 
	VARIANT_BOOL enable;
	void DisplayText(bool enable);
	void DisplayButtons(bool enable);	
	void CheckforNewFile();
	// Generated message map functions
	//{{AFX_MSG(CMPSReaderDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnEqDisable();
	afx_msg void OnEqEnable();
	afx_msg void OnObj();
	afx_msg void OnConstraint();
	afx_msg void OnCol();
	afx_msg void OnRow();
	afx_msg void OnFileOpen();
	afx_msg void OnFileClose();
	afx_msg void OnFileExit();
	afx_msg void OnHelpAbout();
	afx_msg void OnEq();
	afx_msg void OnEnable();
	afx_msg void OnEditDisable();
	afx_msg void OnEditEnable();
	afx_msg void OnFileNew();
	virtual void OnOK();
	virtual void OnCancel();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_MPSREADERDLG_H__B094749D_8C33_486B_8801_4F488A3BF7DB__INCLUDED_)
