// NumDialog.cpp : implementation file
//

#include "stdafx.h"
#include "MPSReader.h"
#include "NumDialog.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CNumDialog dialog


CNumDialog::CNumDialog(CWnd* pParent /*=NULL*/, int s, _LPModel *lp)
	: CDialog(CNumDialog::IDD, pParent)
{
	//{{AFX_DATA_INIT(CNumDialog)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
	style = s;
	pMPSReader = lp;
}


void CNumDialog::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CNumDialog)
		// NOTE: the ClassWizard will add DDX and DDV calls here
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CNumDialog, CDialog)
	//{{AFX_MSG_MAP(CNumDialog)
	ON_BN_CLICKED(IDC_OK, OnOk)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CNumDialog message handlers

void CNumDialog::OnOk() 
{
	// TODO: Add your control notification handler code here
		
	long len;
	char str[16];
	CEdit *pEdit = (CEdit *)this->GetDlgItem(IDC_ROW_NUM);
	len = pEdit->LineLength (); 
	pEdit->GetLine ( 0, str, len);
	num = atol(str); 	
	CDialog::OnOK();
}

long CNumDialog::getNum() 
{
	return num;
}

BOOL CNumDialog::OnInitDialog() 
{
	char str[64];  
	CDialog::OnInitDialog();	

	CWnd *pStatic = this->GetDlgItem(IDC_STATIC_2);
	switch (style)
	{
		case 0:
			this->SetWindowText ("Row Number");
			sprintf (str, "Select a Row Number from 0 to  %d:", pMPSReader-> NumberOfRows -1);		
			break;
		case 1:
			this->SetWindowText ("Column Number");
			sprintf (str, "Select a Column Number from 0 to %d:", pMPSReader-> NumberOfColumns - 1);
		break;
		case 2:
			this->SetWindowText ("Objective Number");
			sprintf (str, "Enter an objective number from 0 to  %d:", pMPSReader-> NumNonBindingRows - 1);
		break;
		case 3:
			this->SetWindowText ("Constraint Row");
			sprintf (str, "Enter a constraint number from 0 to %d:", pMPSReader-> NumBindingRows - 1);
		break;

	}
	pStatic->SetWindowText (str);	
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}
